Subject: [Trans] 6962-bis: Getting rid of SCTWithProofDataV2 (issue 172)

From: Eran Messeri <[email-masked]>
Date: Thu, 6 Apr 2017 11:15:18 +0100

Richard Barnes proposed, and I support, removing the SCTWithProofDataV2
structure from 6962-bis.

This structure was used to hold a combination of SCT + STH + inclusion
proof to that STH.
The same functionality can be achieved with a TransItemList that contains
each of those, so it makes sense to remove it (as it would simplify parsing
of TransItems without affecting functionality).

The change was reviewed and merged in
https://github.com/google/certificate-transparency-rfcs/pull/225.
Also updated in https://trac.ietf.org/trac/trans/ticket/172.

Eran

---

From: Rob Stradling <[email-masked]>
Date: Thu, 6 Apr 2017 14:08:52 +0100

On 06/04/17 11:15, Eran Messeri wrote:
> The same functionality can be achieved with a TransItemList that
> contains each of those, so it makes sense to remove it (as it would
> simplify parsing of TransItems without affecting functionality).
>
> The change was reviewed and merged
> in https://github.com/google/certificate-transparency-rfcs/pull/225.

I support this too.

Note: I just did some editorial follow-up work in 
https://github.com/google/certificate-transparency-rfcs/pull/243

-- 
Rob Stradling
Senior Research & Development Scientist
COMODO - Creating Trust Online